package com.bc_chat.bc_base.entity

import android.os.Parcel
import android.os.Parcelable

/**
 * author：Created by zhaohaoting on 2019/3/22
 * email：526309416@qq.com
 * desc：
 */
class SplashImage() :Parcelable {
    var img: String? = "";//    图片地址
    var url: String? = "";//  跳转地址

    constructor(parcel: Parcel) : this() {
        img = parcel.readString()
        url = parcel.readString()
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(img)
        parcel.writeString(url)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<SplashImage> {
        override fun createFromParcel(parcel: Parcel): SplashImage {
            return SplashImage(parcel)
        }

        override fun newArray(size: Int): Array<SplashImage?> {
            return arrayOfNulls(size)
        }
    }
}